> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/proxy.md).

# Proxy

## Get

> Retrieve the proxy settings

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ProxySettings":{"get":{"tags":["2-Site settings//Proxy"],"summary":"Get","description":"Retrieve the proxy settings","operationId":"ebb8e5f5-dea5-488c-902b-a5045e62d374","parameters":[{"name":"siteId","in":"query","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/RASProxySettings"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RASProxySettings":{"type":"object","properties":{"httpProxyMode":{"$ref":"#/components/schemas/ProxyMode"},"httpProxyAddress":{"type":"string","description":"<para type=\"description\">The HTTP Proxy Address.</para>","nullable":true},"httpProxyUser":{"type":"string","description":"<para type=\"description\">The HTTP Proxy User.</para>","nullable":true},"httpProxyPort":{"type":"integer","description":"<para type=\"description\">The HTTP Proxy Port.</para>","format":"int32"},"httpProxyRequiresAuth":{"type":"boolean","description":"<para type=\"description\">Whether HTTP Proxy requires authentication or not.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">RAS Proxy Settings</para>\r\n<para type=\"description\"></para>"},"ProxyMode":{"enum":[["0 = NoProxy","1 = ManualSettings"]],"type":"string","description":"<para type=\"synopsis\">HTTP Proxy Mode</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modify Proxy Settings. For each setting, the request has a corresponding parameter. To modify a setting, specify a matching parameter and its value.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ProxySettings":{"put":{"tags":["2-Site settings//Proxy"],"summary":"Update","description":"Modify Proxy Settings. For each setting, the request has a corresponding parameter. To modify a setting, specify a matching parameter and its value.","operationId":"2f0c1c28-fff5-4482-8c06-058db861a741","parameters":[{"name":"siteId","in":"query","description":"Site Id to retrieve Proxy Settings","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Proxy Settings","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetProxySettings"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetProxySettings":{"type":"object","properties":{"httpProxyMode":{"$ref":"#/components/schemas/ProxyMode"},"httpProxyAddress":{"type":"string","description":"<para type=\"description\">HTTP Proxy Address.</para>","nullable":true},"httpProxyPort":{"type":"integer","description":"<para type=\"description\">A custom Proxy port number.</para>","format":"int32","nullable":true},"httpProxyPwd":{"type":"string","description":"<para type=\"description\">HTTP Proxy Password.</para>","nullable":true},"httpProxyUser":{"type":"string","description":"<para type=\"description\">HTTP Proxy User.</para>","nullable":true},"httpProxyRequiresAuth":{"type":"boolean","description":"<para type=\"description\">HTTP Proxy Requires Authentication: Enable (True) or disable (False).</para>","nullable":true}},"additionalProperties":false},"ProxyMode":{"enum":[["0 = NoProxy","1 = ManualSettings"]],"type":"string","description":"<para type=\"synopsis\">HTTP Proxy Mode</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/proxy.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
